Get Migration
curl --request GET \
--url https://api.mixpeek.com/v1/namespaces/migrations/{migration_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/namespaces/migrations/{migration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/namespaces/migrations/{migration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"migration_id": "<string>",
"internal_id": "<string>",
"namespace_id": "<string>",
"config": {
"source_namespace_id": "<string>",
"target_namespace_id": "<string>",
"target_namespace_name": "<string>",
"feature_extractors": [
{
"feature_extractor_name": "<string>",
"version": "<string>",
"parameters": {}
}
],
"filters": {
"collection_ids": [
"<string>"
],
"taxonomy_ids": [
"<string>"
],
"cluster_ids": [
"<string>"
],
"retriever_ids": [
"<string>"
],
"date_range": {},
"auto_include_dependencies": true
},
"batch_options": {
"batch_size": 100,
"max_workers": 10,
"retry_failed": true
},
"taxonomy_options": {
"preserve_taxonomy_ids": true,
"preserve_enrichment_fields": true,
"re_run_enrichment": false,
"migrate_reference_collections": true
},
"cluster_options": {
"preserve_cluster_ids": true,
"preserve_assignments": true,
"migrate_artifacts": true,
"preserve_centroids": true,
"recompute_clusters": false
},
"retriever_options": {
"preserve_retriever_ids": false,
"migrate_interactions": false,
"migrate_execution_history": false,
"validate_references": true
},
"preserve_resource_ids": false,
"dry_run": false,
"webhook_url": "<string>"
},
"progress": {
"overall_progress_percent": 0,
"stages": [
{
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"progress_percent": 0,
"items_total": 0,
"items_completed": 0,
"items_failed": 0,
"error_message": "<string>"
}
],
"resources": [
{
"resource_id": "<string>",
"progress_percent": 0,
"error_message": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"estimated_completion": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"validation_result": {
"valid": true,
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
],
"warnings": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
],
"estimated_resources": {},
"estimated_duration_seconds": 123
},
"dependency_graph": {
"nodes": [
{
"resource_id": "<string>",
"dependencies": [
"<string>"
],
"tier": 0
}
],
"execution_order": [
"<string>"
]
},
"task_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"additional_data": {}
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Migrations
Get Migration
Get migration details and status.
Args: request: FastAPI request migration_id: Migration ID
Returns: GetMigrationResponse with full migration details
GET
/
v1
/
namespaces
/
migrations
/
{migration_id}
Get Migration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response for getting migration details.
Migration ID
Organization internal ID
Source namespace ID
Migration configuration
Show child attributes
Show child attributes
Current status
Available options:
draft, validating, pending, in_progress, completed, failed, cancelled Progress tracking
Show child attributes
Show child attributes
Creation timestamp
Validation result
Show child attributes
Show child attributes
Dependency graph
Show child attributes
Show child attributes
Task ID for tracking migration progress
Start timestamp
Completion timestamp
Error if failed
Additional metadata
Was this page helpful?
⌘I

